Sada je: 31 lis 2020, 22:57.
Diskusije o hardveru i driverima pod Linuxom.

Moderator/ica: Moderatori/ce

enkadeze je napisao/la:Je li netko uspio natjerati Chromium (ili neki Chromium-based browser) da se može prijaviti certifikatrom s e-osobne?


Jesi li pokušao s uputama sa sajta koji sam objavio u postu otprije par mjeseci (https://www.linuxzasve.com/forum/viewtopic.php?f=7&t=12652&start=30#p268225)? Meni se ne da zafrkavati s time, ali ako ti ili netko drugi ima volje, samo naprijed.
Postovi: 5
Postovi: 5
Pridružen/a: 15 sij 2020, 14:13
Podijelio/la zahvalu: 2 puta
Primio/la zahvalu: 0 puta
Spol: M
OS: Mint 19.3 x64 Cinnamon
Na neku foru tvoj post uopće nisam primijetio do sada (iako imam složene notifikacije za ovaj thread).
Budem probao uloviti vremena da se poigram s time uskoro pa javim rezultat.
Hvala! :)
KAJ
Avatar
Postovi: 56
Postovi: 56
Pridružen/a: 06 lip 2012, 14:46
Lokacija: Zagreb
Podijelio/la zahvalu: 14 puta
Primio/la zahvalu: 4 puta
Spol: M
OS: Manjaro KDE
Evo, brzinski sam ispratio one upute s tvojeg linka, dsardelic, međutim - fail. :)

modutil -list opcija mi prikazuje kako je import prošao lijepo (dapače, čak je vidljivo da na listi već postoji dodan ovaj security device koji koristim), međutim u browseru se, nakon što procesiranje requesta traje "100 godina" (i u Firefoxu mi se sve uspori onog trena kad u čitač ubacim osobnu) dobijem error kako nije odabran valjan certifikat (ili nešto u tom stilu, nisam više siguran kaj točno piše).
Istovremeno, login na Firefoxu najnormalnije prolazi.

Vidjet ću hoću li se uopće nastaviti zafrkavati s ovime, mislim da ideja da sve radim u istom, glavnom browseru na kraju ipak nije vrijedna potrošenog vremena. :)
KAJ
Avatar
Postovi: 56
Postovi: 56
Pridružen/a: 06 lip 2012, 14:46
Lokacija: Zagreb
Podijelio/la zahvalu: 14 puta
Primio/la zahvalu: 4 puta
Spol: M
OS: Manjaro KDE
Je li datoteka libEidPkcs11.so 64 bitna ili je to kod te datoteke nebitno?

Zašto pitam? Naime, na poslu imamo računalo sa 32 bitnim Linux Mint sustavom. Ne znam zašto su na računalo instalirali 32 bitni sustav kada je računalo staro oko 3 godine, a nemamo nikakve programe za koje je bitna kompatibilnost. Nažalost, koliko god se mogu brinuti i održavati to računalo, ne mogu raditi ništa što je vezano sa ponovom instalacijom sustava jer mi ne žele dati potrebne kredencije da ga nakon instalacije sustava spojim na VPN.

Uglavnom, nedavno smo dobili obavijest da ćemo od sad isplatne liste dobivati putem sustava e-Građani. Usput, budi rečeno, radi se o Državnom hidrometeorološkom zavodu. Zato sam u dogovoru sa voditeljicom sektora pod koji spada naš odjeljak kupio čitač kartica kako bi mogli korisititi osobne iskaznice za spajanje na e-Građani. Kako je sustav 32 bitni, nisam uspio instalirati eID Middleware, ali sam uspio u Firefox uvesti certifikate. Problem nastaje kada želim dodati sigurnosni uređaj i kada odaberem libEidPkcs11.so. Onda mi izbaci grešku "Modul nije moguće dodati". Probao sam i sa datotekom libEidPkcs11.so.lic, ali sa istim rezultatom.

Da li je problem u tome što je sustav 32 bitni ili to nema veze?

Znači, u pitanju je Linux Mint 18 (32bit), a čitač kartica je ovaj https://www.links.hr/hr/citac-pametnih-kartica-manhattan-usb-crni-150300218
Neki ljudi uživaju u boli, a neki uz to vole i Linux pa koriste Arch Linux.
Avatar
Postovi: 32
Postovi: 32
Pridružen/a: 09 ožu 2020, 19:12
Lokacija: Zagreb
Podijelio/la zahvalu: 2 puta
Primio/la zahvalu: 1 puta
Spol: M
OS: Arch (Xfce4)
Da li je neki fajl 32 bitni ili 64 bitni (kao i neke druge stvari) lako pogledaš sa programom "file". Na primjer:

Kod: Označi sve
# file /lib/libffmpeg.so
/lib/libffmpeg.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=8f72e2e94969745fdd95ac2943fb04ce28a0f880, stripped
Es gibt keinen Gott, kein Universum, keine menschliche Rasse, kein irdisches Leben, keinen Himmel, keine Hölle. Es ist alles ein Traum - ein grotesker und dummer Traum. Nichts existiert außer dir. Und du bist nur ein Gedanke - ein vagabundierender Gedanke, ein nutzloser Gedanke, ein heimatloser Gedanke, der verloren in der leeren Ewigkeit wandelt!
Avatar
Moderator
Postovi: 10099
Moderator
Postovi: 10099
Pridružen/a: 07 pro 2007, 18:07
Podijelio/la zahvalu: 169 puta
Primio/la zahvalu: 280 puta
Spol: Y
OS: utuntu 19.10
Dođe mi da si pucam u glavu! Evo o čemu se radi, pa možda nekome i pomogne...

Danas sam bratu na laptopu (Ubuntu MATE 18.04 x64) instalirao taj famozni middleware i kažem si: "ajd da probam kod još jednom na Manjaru." Web certifikati su mi već uvezeni i sada želim uvesti certifikat za čitač kartica kad ono nemam uopće ono što se navodi u tutorialu par stranica iza. :/
Logiram se sa OIB-om, krenem skidati ponovno paket, obrišem stari i debtapom napravim novi, kad ono isti problem ali imam jedan certifikat više! :o
Da ne duljim previše...
Skinite sa ove stranice middleware: https://www.eid.hr/hr/eoi/clanak/progra ... middleware
jer u protivnom će vam se skidanje prekinuti pa neće ni instalacija biti kako spada.

Sada konačno imam middleware koji radi. :D

...ali, čini mi se da mi čitač osobne ne radi. Imam OMNIKEY 1021 i našao sam neke drivere u AUR-u, ali samo mi čitač blikne kada ga spojim na USB i onda se utiša. EID client me traži da spojim čitač pametnih kartica na računalo. :(
Ima li netko kakav savjet ili rješenje?
Lista gnjavatora:
Bunker (16.11.2018.-9.9.9999.)
Avatar
Postovi: 187
Postovi: 187
Pridružen/a: 27 sij 2015, 19:52
Lokacija: Osijek
Podijelio/la zahvalu: 42 puta
Primio/la zahvalu: 16 puta
Spol: M
OS: Manjaro KDE
Uspio sam! Mislio sam kako je do čitača pametnih kartica ali ipak nije jer sam kupio novi sa linux podrškom (manhattan) i imao sam isti problem. Ono što je trebalo napraviti jest:

1. Instalirati ove pakete
Kod: Označi sve
pcsc_tools
ccid
opensc
gnupg-pkcs11-scd


2. Upisati ove naredbe u terminal:
Kod: Označi sve
sudo systemctl start pcscd.service
sudo pcsc_scan


Pitanjce za moderatore: trebam li napraviti cijeli tutorial za Manjaro ili neka ostavim ovako sve razbacano u ovoj temi?
Lista gnjavatora:
Bunker (16.11.2018.-9.9.9999.)
Avatar
Postovi: 187
Postovi: 187
Pridružen/a: 27 sij 2015, 19:52
Lokacija: Osijek
Podijelio/la zahvalu: 42 puta
Primio/la zahvalu: 16 puta
Spol: M
OS: Manjaro KDE
Svaki tutorijal je dobrodošao! Samo ti piši, lako ćemo to pribacit di bude tribalo. ;)
Arch Linux Install Script
Hash Checker
Vl@do je napisao/la:Arch imaš upravo zato da uštediš na vremenu. Nemaš nikakvih problema s instalacijama, kompajliranjem i ostalim. Imaš jednostavno funkcionalan i stabilan, uvijek najsvježiji OS, a osim toga je sexy i cool do neba.

I've seen some idiots back in my days but you man... you're special!
Avatar
Moderator
Postovi: 6376
Moderator
Postovi: 6376
Pridružen/a: 13 stu 2010, 21:12
Lokacija: /hrvatska/split/.../9/7
Podijelio/la zahvalu: 274 puta
Primio/la zahvalu: 348 puta
Spol: M
OS: Arch MATE/Xfce/LXDE
Tutorial za Manjaro

1.a) Napravite prvu prijavu na Portal eOI i tamo promijenite inicijalnu zaporku. Ne preuzimajte middleware sa te stranice.
1.b) Omogućite AUR pakete ukoliko već niste.

2. Instalirajte ove pakete ukoliko ih već nemate:
Kod: Označi sve
pcsc_tools
ccid
opensc
gnupg-pkcs11-scd
debtap


3. Preuzmite AKDCA Root i HRIDCA certifikate (DER) sa ove stranice. Unesite ih u firefox:
Postavke -> Privatnost i sigurnost -> Prikaz certifikata (skroz negdje na dnu) -> Uvezi

4. Preuzmite middleware za Linux sa ove stranice. Na žalost, trenutno je dostupno samo u .deb formatu.

5. Pretvorite .deb paket u odgovarajući format i instalirajte middleware.
Klikni ovdje za tutorial

6. Uvezite novi sigurnosni uređaj na firefoxu (Postavke -> Privatnost i sigurnost -> Sigurnosni uređaji) i u putanju dodajte ovo: /usr/lib/akd/eidmiddleware/pkcs11/libEidPkcs11.so

7. Priključite čitač pametnih kartica sa osobnom na USB port i unesite u terminal ove naredbe:
Kod: Označi sve
sudo systemctl start pcscd.service
sudo systemctl enable pcscd.service
sudo pcsc_scan


8. U izborniku pronađite Eid Client (meni se nalazi pod "Alati") i pokrenite ga. Dalje samo pratite upute koje ste dobili za aktivaciju osobne ukoliko već to niste napravili.
Lista gnjavatora:
Bunker (16.11.2018.-9.9.9999.)
Avatar
Postovi: 187
Postovi: 187
Pridružen/a: 27 sij 2015, 19:52
Lokacija: Osijek
Podijelio/la zahvalu: 42 puta
Primio/la zahvalu: 16 puta
Spol: M
OS: Manjaro KDE
Je li netko uspio instalirati eOI na Fedoru? Cijeli thread sam prošao, čitač je uredno instaliran, u Firefox učitani certifikati i libEidPkcs11.so file, pokrenute sve naredbe by branac88, ali e-Građani mi i dalje ne kuži certifikate i ne nudi unos PIN-a. Nisam nikako uspio instalirati onaj middleware jer Fedora nije podržana. Alienom konvertiram deb u rpm, ali ne da instalirati, kao da se kolje s nečim...

Kod: Označi sve
[domy@domy-nb Downloads]$ sudo yum localinstall eidmiddleware-3.1.0-1.x86_64.rpm
[sudo] password for domy:
Last metadata expiration check: 2:01:34 ago on subota, 11. srpnja 2020. 19:25:00 CEST.
Dependencies resolved.
==============================================================================================================================================================================================
 Package                                          Architecture                              Version                                     Repository                                       Size
==============================================================================================================================================================================================
Installing:
 eidmiddleware                                    x86_64                                    3.1.0-1                                     @commandline                                     12 M

Transaction Summary
==============================================================================================================================================================================================
Install  1 Package

Total size: 12 M
Installed size: 36 M
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Error: Transaction test error:
  file / from install of eidmiddleware-3.1.0-1.x86_64 conflicts with file from package filesystem-3.14-2.fc32.x86_64
  file /usr/lib from install of eidmiddleware-3.1.0-1.x86_64 conflicts with file from package filesystem-3.14-2.fc32.x86_64
  file /etc/ssl/certs from install of eidmiddleware-3.1.0-1.x86_64 conflicts with file from package ca-certificates-2020.2.41-1.1.fc32.noarch


EDIT: Osobna je davno aktivirana i u Windowsima na istom hardwareu sve uredno radi.
Postovi: 56
Postovi: 56
Pridružen/a: 11 srp 2020, 20:09
Podijelio/la zahvalu: 1 puta
Primio/la zahvalu: 10 puta
Spol: M
OS: Linux Fedora

Na mreži
Trenutno korisnika/ca: / i 1 gost.